{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Chapter Six</title>
{% endblock meta %}

{% block content %}
<h5 class="judul">Upcoming Events</h5>
<hr style="border-top: 5px dashed #102B3E;">
<div style="margin-left: 20px; margin-right: 20px;">
  <!-- <a href="{% url 'story6:addPerson' %}"><button class="button-sendiri">Add Person</button> </a><br><br> -->
    <div class="card bg-light mb-3">
      <div class="card-header"><h5>Participants</h5></div>
      <div class="card-body">
        <p class="card-text">
        {% for org in orang %}
        <a href="{% url 'story6:removeParticipant' org.id %}"><button class="button-sendiri-2"> {{org.name}} </button></a> •
        {% endfor %}
        </p>
        <a href="{% url 'story6:addPerson' %}"><button class="button-sendiri">Add Person</button> </a>
      </div>
    </div>
    <h6>*Click on its name to remove participant</h6>
    <br><br>
  <h5>EVENTS</h5>
  <a href="{% url 'story6:addEvent' %}"><button class="button-sendiri">Add Event</button> </a><br><br>
  <h6>*Make sure your name is on the above list, then click the 'update participant' button below to join my event(s)</h6>
    <div class="row">
      {% for keg in kegiatan %}
      <div class="col-sm-3">
        <div class="card bg-light mb-3">
          <div class="card-header"><h5>{{keg.event}}</h5></div>
          <div class="card-body">
            {% for org in keg.participants.all %}
            <p class="card-text">{{org.name}}</p>
            {% endfor %}
            <a href="{% url 'story6:updateEvent' keg.id %}" style="text-decoration: none;"><button class="button-sendiri" >Update Participant</button> </a>
            <a href="{% url 'story6:removeEvent' keg.id %}" style="text-decoration: none;"><button class="button-sendiri">Remove</button> </a>
          </div>
        </div>
      </div>
      {% endfor %}
    </div>
</div>
<br><br>

{% endblock content %}
{% block foot %}
{% endblock %}